Bug 30317 - Replace the use of jQueryUI tabs on search history page
Summary: Replace the use of jQueryUI tabs on search history page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 29277
Blocks: 29226
  Show dependency treegraph
 
Reported: 2022-03-18 15:34 UTC by Owen Leonard
Modified: 2022-04-01 10:29 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30317: Replace the use of jQueryUI tabs on search history page (20.30 KB, patch)
2022-03-18 16:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30317: Replace the use of jQueryUI tabs on search history page (20.37 KB, patch)
2022-03-21 15:37 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-03-18 15:34:31 UTC
As part of Bug 29226, "OMNIBUS: Replace the use of jQueryUI tabs," we should replace the use of the jQueryUI tabs component on the search history page in the staff interface.
Comment 1 Owen Leonard 2022-03-18 16:24:24 UTC
Created attachment 131928 [details] [review]
Bug 30317: Replace the use of jQueryUI tabs on search history page

This patch replaces jQueryUI tabs on the staff interface's search
history page, replacing them with Bootstrap tabs.

To test, apply the patch and perform some bibliographic and
authority searches in the staff client if necessary.

Go to the search history page and test that the "Catalog" and
"Authority" tabs work correctly.
Comment 2 Jonathan Druart 2022-03-21 15:37:07 UTC
Created attachment 131984 [details] [review]
Bug 30317: Replace the use of jQueryUI tabs on search history page

This patch replaces jQueryUI tabs on the staff interface's search
history page, replacing them with Bootstrap tabs.

To test, apply the patch and perform some bibliographic and
authority searches in the staff client if necessary.

Go to the search history page and test that the "Catalog" and
"Authority" tabs work correctly.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Fridolin Somers 2022-03-25 21:02:25 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄